--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

USE [master]
GO
IF NOT EXISTS (SELECT NAME FROM sys.server_principals WHERE type_desc ='SQL_LOGIN' AND LOWER(NAME)=LOWER('$(CS_SCHEMA)'))
CREATE LOGIN $(CS_SCHEMA) WITH PASSWORD=N'$(CS_PASSWD)', DEFAULT_DATABASE=[$(DBNAME)], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
USE $(DBNAME)  
GO
CREATE SCHEMA $(CS_SCHEMA)
GO
CREATE USER $(CS_SCHEMA) FOR LOGIN $(CS_SCHEMA)
GO
ALTER AUTHORIZATION ON SCHEMA::$(CS_SCHEMA) TO $(CS_SCHEMA)
GO
ALTER USER $(CS_SCHEMA) WITH DEFAULT_SCHEMA=$(CS_SCHEMA)
GO
EXEC sp_addrolemember N'db_owner', N'$(CS_SCHEMA)'
GO