@echo OFF

rem Default SQL Server instance to use.  If the database needs to be
rem deployed on a different instance change the value of SQLSERVINST
rem By default the SQL Server Default instance is assumed in which case
rem the variable is set to the local host's name
rem If you are installing remotely put the remote server's name and 
rem if you are using a named instance set the variable accordingly 
rem following the SQL Server named instance convention of SERVER\NAMEDINSTANCE

SET SQLSERVINST=%COMPUTERNAME%

rem Default authentication mode when installing insight, the values for Windows is 0 and 1 for SQL Server. 
rem if a different value is required change the value of AUTH_TYPE

SET AUTH_TYPE=0

rem Default username IS need for SQL Server authentication mode when installing insight. 
rem if different VALUE is required change the values of USERNAME

SET USERNAME=sa

rem Default Rational Insight database ALIAS instance to use
rem for the Cognos content store. 
rem if a different value is required change the value of DBNAME
rem Not accepting the default implies changes in the connection information
rem defined on the Cognos BI server configuration

SET DBNAME=RICM
rem SQL Server account to create for the Content Store
rem SQL Server Authentication is used

SET CS_SCHEMA=csuser

rem Default path for the table space files.
rem Change the value of DATA_HOME to any suitable value for your system

SET DATA_HOME=%USERPROFILE%\databases

rem Specify the instance's base directory

SET MSSQL_HOME=C:\Microsoft SQL Server\MSSQL.1
